CMSIS-Core (Cortex-A): DFSR_Type Struct Reference

| CMSIS-Core (Cortex-A) Version 1.2.0 CMSIS-Core support for Cortex-A processor-based devices

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
DFSR_Type Struct Reference
Data Fault Status Register (DFSR)

Bit field declaration for DFSR layout.

## Data Fields

struct {
uint32_t FS0:4
| bit: 0.. 3 Fault Status bits bit 0-3 More...
uint32_t Domain:4
| bit: 4.. 7 Fault on which domain More...
uint32_t LPAE:1
| bit: 9 Large Physical Address Extension More...
uint32_t FS1:1
| bit: 10 Fault Status bits bit 4 More...
uint32_t WnR:1
| bit: 11 Write not Read bit More...
uint32_t ExT:1
| bit: 12 External abort type More...
uint32_t CM:1
| bit: 13 Cache maintenance fault More...
} | s
| Structure used for bit access in short format. More...
struct {
uint32_t STATUS:5
| bit: 0.. 5 Fault Status bits More...
uint32_t LPAE:1
| bit: 9 Large Physical Address Extension More...
uint32_t WnR:1
| bit: 11 Write not Read bit More...
uint32_t ExT:1
| bit: 12 External abort type More...
uint32_t CM:1
| bit: 13 Cache maintenance fault More...
} | l
| Structure used for bit access in long format. More...
uint32_t | w
| Type used for word access. More...

## Field Documentation

uint32_t DFSR_Type::CM

uint32_t DFSR_Type::Domain

uint32_t DFSR_Type::ExT

uint32_t DFSR_Type::FS0

uint32_t DFSR_Type::FS1

struct { ... } DFSR_Type::l

uint32_t DFSR_Type::LPAE

struct { ... } DFSR_Type::s

uint32_t DFSR_Type::STATUS

uint32_t DFSR_Type::w

uint32_t DFSR_Type::WnR